Skip to content
Sign in

List entry activity

GET/v1/files/entries/{entryId}/activity

Read one entry's retained change metadata, newest first, within the 30-day window.

AuthorizationBearer <token>

In: header

Path parameters

entryId*string
Format:uuid

Query parameters

workplaceId*string
Format:uuid
before?string
Match:^[1-9][0-9]{0,18}$
limit?integer
Range:1 <= value <= 100
Default:50

Response body

application/json

application/json

application/json

curl -X GET 'https://example.com/v1/files/entries/497f6eca-6276-4993-bfeb-53cbbbba6f08/activity?workplaceId=497f6eca-6276-4993-bfeb-53cbbbba6f08'
{
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "fileId": "a1c6a2ab-4b01-4253-b4c9-70e04b3b48fc",
      "revisionId": "bae12d01-48af-47b3-9304-b09ef0081cd6",
      "position": "string",
      "action": "content",
      "actorId": "d2f1b55c-8cee-4a0d-af57-aebaeff77518",
      "occurredAt": "2019-08-24T14:15:22Z"
    }
  ],
  "nextCursor": "string"
}